Summary: The Red Hat package management system.
Name: rpm
Version: 3.0.3
Release: 49tr
Group: System/Base
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-3.0.x/rpm-%{version}.tar.bz2
Source1: k6-rpmrc.bz2
Patch0: rpm-3.0.3-path.patch.bz2
Patch1: rpm-3.3-rpmgettext.patch.bz2
Patch2: rpm-rpmlibsucks.patch.bz2
Patch3: rpm-3.3-bashort.patch.bz2
Patch4: rpm-3.0.3-pass.patch.bz2
Patch5: rpm-3.0.3-rpmrc.patch
Patch6: rpm-3.0.3-canonarch.patch
Patch7: rpm-3.0.3-autogen.patch
Patch8: rpm-3.0.3-newmacros.patch
Copyright: GPL
Conflicts: patch < 2.5
Prereq: gawk fileutils textutils sh-utils mktemp
BuildRequires: zlib >= 1.1.4
BuildRequires: bzip2
Requires: bzip2
BuildRoot: /var/tmp/rpm-%{version}-root

%description
The Red Hat Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.  Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package devel
Summary: Development files for applications which will manipulate RPM packages.
Group: Libraries/Development
%ifos linux
Requires: python >= 1.5.1
%endif

%description devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package perl
Summary: Scripts which requires perl
Group: System/Base
Requires: perl

%description perl
This package contains the perl scripts perl.prov and perl.req. They
have been separated into their own package so that rpm doesn't require
perl.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=/usr --mandir='${prefix}/share/man' --enable-v4-packages

bzcat %{SOURCE1} >> rpmrc.in
perl -p -i -e "s/-all-static/-static/" ltmain.sh

make CFLAGS="$RPM_OPT_FLAGS"
make -C python CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/SOURCES
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/SPECS
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/SRPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/BUILD
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/RPMS/{i386,i486,i586,i686,k6}
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/RPMS/noarch

make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" -C python install


find $RPM_BUILD_ROOT/usr/share/man -type f -name '*[0-9]'|xargs -r bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done

cd $RPM_BUILD_ROOT
mv ./usr/lib/rpm/rpmgettext ./usr/bin/
mv ./usr/lib/rpm/rpmputtext ./usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/rpm --initdb
if [ ! -e /etc/rpm/macros -a -e /etc/rpmrc -a -f /usr/lib/rpm/convertrpmrc.sh ] 
then
	sh /usr/lib/rpm/convertrpmrc.sh 2>&1 > /dev/null
fi

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY CHANGES GROUPS
%doc doc/*
/bin/rpm
/usr/bin/*
/usr/share/man/man8/rpm.8.bz2
/usr/share/man/man8/rpm2cpio.8.bz2
/usr/lib/rpm/config.guess
/usr/lib/rpm/config.sub
/usr/lib/rpm/convertrpmrc.sh
/usr/lib/rpm/find-lang.sh
/usr/lib/rpm/find-provides
/usr/lib/rpm/find-requires
/usr/lib/rpm/freshen.sh
/usr/lib/rpm/getpo.sh
/usr/lib/rpm/macros
/usr/lib/rpm/mkinstalldirs
/usr/lib/rpm/rpmpopt
/usr/lib/rpm/rpmrc
/usr/lib/rpm/vpkg-provides.sh
/usr/lib/librpm*.so.*
%dir /usr/src/RPM
%dir /usr/src/RPM/BUILD
%dir /usr/src/RPM/SPECS
%dir /usr/src/RPM/SOURCES
%dir /usr/src/RPM/SRPMS
%dir /usr/src/RPM/RPMS
%ifos linux
/usr/lib/python1.5/site-packages/rpmmodule.so
%endif
/usr/src/RPM/RPMS/*
/usr/share/locale/*/LC_MESSAGES/rpm.mo
%lang(pl) /usr/share/man/pl/*/*
%lang(ru) /usr/share/man/ru/*/*

%files devel
%defattr(-,root,root)
/usr/include/rpm
/usr/lib/librpm.a
/usr/lib/librpm.la
/usr/lib/librpmbuild.a
/usr/lib/librpmbuild.la

%files perl
%defattr(-,root,root)
/usr/lib/rpm/perl.prov
/usr/lib/rpm/perl.req


%changelog
* Fri Mar 15 2002 Christian H. Toldnes <christht@trustix.com>
- rebuild on new zlib. BuildRequires: zlib >= 1.1.4

* Mon Sep 18 2000 Erlend Midttun <erlendbm@trustix.com>
- Rebuild to reflect new libtool

* Sat Jan 29 2000 Erlend Midttun <erlendbm@trustix.com>
- Created a different package for perl scripts in order to keep the install
  as little as possible

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/-O6/-O3/

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the PGPPASS patch (gpgp conflict) but leave it in case.
- Add %prefix/locale/*/ in %files more doc and %prefix/man/%lang/*

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to check PGPPASS before signing.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Wed Oct 13 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Create a k6 directory in /usr/src/RPM/RPMS

* Fri Oct  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post # RPM bugs ?
- 3.0.3 final.

* Mon Sep 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- reEnable the rpm -ba --short-circuit from pixel.
- add patch to get work the python modules (#204).

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Whoops wrong k6 cflags

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Preliminary k6 support

* Thu Sep 23 1999 Pixel <pixel@mandrakesoft.com>
- fixed a bug in rpmlib

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to fix wrong info path (tnks pablo).
- Fix CFLAGS with multiple gcc interface.

* Mon Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS - this finally permits us to Provide: versions.

* Wed Aug 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS
- Put new preferred CFLAGS for {p,}gcc 2.95 in rpmrc by default
- enable support for RPM4 packages
- ignore autoconf version conflicts (autoconf 2.14 works, but rpm
  insists on 2.13)

* Sat Jul 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last cvs version.
- More architecture in rpmputtext (Pablo).

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last version from CVS (fix --rebuild bugs).
- s|i386|i586| in rpmputtext.

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- I wonder want to know why rpmlib is so buggy :-((.

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix rpmpopt wrong path.
- Last CVS snapshot.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- oups Forget to add rpmputtext.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Moving the rpmputtext rpmputtext to /usr/bin
- 3.0.3 from CVS.
- Relifting of spec files.
- Build Patch.
- Merging old patch of libmisc and libtool.

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.0.2 final (15mdk)
- fixed default build arch use --target if you need it
- added librpmbuild.*a and other libtool files

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Could not find 11mdk srpm, snapshoted rpm cvs and incremented release

* Fri May 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing the CVS stuff when compiling.

* Thu May 27 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to a recent 3.0.2 CVS snapshot (BuildRequire :) )
- add our CFLAGS to rpmrc
- Recompile with CFLAGS for devel

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to more recent 3.0.1 CVS snapshot (more bugfixes)

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- I have forget to mkdir /usr/src/RPM instead of */*/redhat/
- 3.0.1 from Bero.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.
- Add patch for /usr/src/rpm instead of /usr/src/redhat/.
